Package org.apache.sling.installer.api.event

# Interface InstallationEvent

@ProviderType public interface InstallationEvent
Optional listener which can be used to monitor the activities of the installer.

Since:
  1.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`InstallationEvent.TYPE`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getSource()`
Return the source of the event.
`InstallationEvent.TYPE`
`getType()`
Return the event type.

## Method Details

### getType

InstallationEvent.TYPE getType()
Return the event type.

Returns:
  The event type.

### getSource

Object getSource()
Return the source of the event. For `InstallationEvent.TYPE.STARTED` and `InstallationEvent.TYPE.SUSPENDED` events this is `null`. For `InstallationEvent.TYPE.PROCESSED` events this is a `TaskResource`.

Returns:
  The source of the event.